require 'spec_helper'

describe Stacko::Request do
  def request
    Stacko::Request.new(
      'METHOD_NAME' => :login,
      'ARGUMENTS' => {:blah => 'blah'}
    )
  end

  it 'returns arguments' do
    request.arguments.must_equal({:blah => 'blah'})
  end

  it 'returns method name' do
    request.method_name.must_equal(:login)
  end
end