require 'minitest/autorun'
require 'mocha/setup'
require 'stacko'

def context *args, &block
  describe *args, &block
end

class DogMiddleware
  def initialize(app)
    @app = app
  end

  def call(env)
    env['ARGUMENTS'].push(:dog_middleware)
    @app.call(env)
  end
end

class HorseMiddleware
  def initialize(app)
    @app = app
  end

  def call(env)
    env['ARGUMENTS'].push(:horse_middleware)
    @app.call(env)
  end
end

class BeaverMiddleware
  def initialize(app)
    @app = app
  end

  def call(env)
    env['ARGUMENTS'].push(:beaver_middleware)
    @app.call(env)
  end
end